actions: []
api_documentation: http://docs.ros.org/en/noetic/api/gmapping/html
authors: Brian Gerkey
brief: ''
bugtracker: ''
depends:
- catkin
- nav_msgs
- nodelet
- openslam_gmapping
- roscpp
- rostest
- tf
depends_on:
- clober_slam
- cob_mapping_slam
- dingo_navigation
- husky_navigation
- jackal_navigation
- ridgeback_navigation
- slam_gmapping
description: "This package contains a ROS wrapper for OpenSlam's Gmapping. \n  The\
  \ gmapping package provides laser-based SLAM (Simultaneous Localization and Mapping),\
  \ \n  as a ROS node called slam_gmapping. Using slam_gmapping, you can create a\
  \ 2-D occupancy\n  grid map (like a building floorplan) from laser and pose data\
  \ collected by a mobile robot."
devel_jobs:
- https://build.ros.org/view/Ndev_db/job/Ndev_db__slam_gmapping__debian_buster_amd64
- https://build.ros.org/view/Ndev/job/Ndev__slam_gmapping__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__slam_gmapping__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD, Apache 2.0
maintainer_status: unmaintained
maintainers: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
metapackages:
- slam_gmapping
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_dB/job/Nsrc_dB__gmapping__debian_buster__source
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__gmapping__ubuntu_focal__source
- https://build.ros.org/view/Nbin_db_dB64/job/Nbin_db_dB64__gmapping__debian_buster_amd64__binary
- https://build.ros.org/view/Nbin_dbv8_dBv8/job/Nbin_dbv8_dBv8__gmapping__debian_buster_arm64__binary
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__gmapping__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__gmapping__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__gmapping__ubuntu_focal_arm64__binary
repo_name: slam_gmapping
repo_url: ''
srvs: []
timestamp: 1646211584.9697006
url: http://ros.org/wiki/gmapping
vcs: git
vcs_uri: https://github.com/ros-perception/slam_gmapping.git
vcs_version: melodic-devel
